#include <stdio.h>
#include <ldap.h>

main()
{
 	LDAP		*ld;
 	LDAPMessage	*result, *e;
	char		**vals;
	char		*attrs[2];
 	int		i;

 	/* get a handle to an LDAP connection */
 	if ( (ld = ldap_init( "ggood", LDAP_PORT ))
 	   == NULL ) {
 		perror( "ldap_init" );
 		return( 1 );
 	}
 	/* retrieve Babs email address */
 	attrs[0] = "mail";
 	attrs[1] = NULL;
 	if ( ldap_search_s( ld, "cn=Tim Howes, o=Netscape Communications Corp., c=US",
 	   LDAP_SCOPE_BASE, "(objectclass=*)", attrs, 0, &result )
 	   != LDAP_SUCCESS ) {
 		ldap_perror( ld, "ldap_search_s" );
 		return( 1 );
 	}
 	/* print it out */
 	if ( (e = ldap_first_entry( ld, result )) != NULL ) {
		if ( (vals = ldap_get_values( ld, e, "mail" )) != NULL ) {
 			for ( i = 0; vals[i] != NULL; i++ ) {
 				printf( "%s\n", vals[i] );
 			}
 			ldap_value_free( vals );
 		}
 	}
 	ldap_msgfree( result );
 	ldap_unbind( ld );
 	return( 0 );
}
