#include <stdio.h>
#include <ldap.h>

#define LOGDN		"cn=Search Utility, ou=Applications, o=ACME Inc., c=US"

main()
{
	LDAP	*ld;

	if ((ld = ldap_init( "ldap.netscape.com", LDAP_PORT )) == NULL ) {
		perror( "ldap_init" );
		exit( 1 );
	}

	if ( ldap_simple_bind_s( ld, LOGDN, NULL ) != LDAP_SUCCESS ) {
		ldap_perror( ld, "bind" );
		ldap_unbind( ld );
		exit( 1 );
	}

	/* do some real work here: LDAP search, etc. */

	ldap_unbind( ld );
	exit( 0 );
}
