#include <ldap.h>

main()
{
}

int
double_sizelimit( LDAP *ld )
{
#ifdef LDAP_OPT_ON
/* Netscape SDK:  use ldap_get/set_option() */
	int		szlimit;

	if ( ldap_get_option( ld, LDAP_OPT_SIZELIMIT, &szlimit ) != 0 ) {
		return( -1 );
	}
	szlimit = szlimit * 2;
	if ( ldap_set_option( ld, LDAP_OPT_SIZELIMIT, &szlimit ) != 0 ) {
		return( -1 );
	}
#else
/* U-M SDK:  directly access sizelimit field within the LDAP structure */
	ld->ld_sizelimit = ld->ld_sizelimit * 2;
#endif

	return( 0 );		/* success */
}
