#include <stdio.h>
#include <ldap.h>

#define BINDDN		"cn=Directory Manager, o=Ace industry, c=US"
#define BINDPWD		"ldap=fun"
#define DELETEDN	"cn=Sam Carter, ou=Accounting, o=Ace Industry, c=US"


main()
{
	LDAP	*ld;

	if ( (ld = ldap_init( "ldap.netscape.com", LDAP_PORT )) == NULL ) {
		perror( "ldap_init" );
		exit( 1 );
	}

	if ( ldap_bind_s( ld, BINDDN, BINDPWD, LDAP_AUTH_SIMPLE )
	    != LDAP_SUCCESS ) {
		ldap_perror( ld, "ldap_simple_bind" );
		ldap_unbind( ld );
		exit( 1 );
	}

	if ( ldap_delete_s( ld, DELETEDN ) != LDAP_SUCCESS ) {
		ldap_perror( ld, "ldap_delete" );
		ldap_unbind( ld );
		exit( 1 );
	}

	ldap_unbind( ld );
	exit( 0 );
}
